#
# spec file for package libibverbs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libibverbs
Summary:        Infiniband verbs library
Version:        1.1.4
Release:        0.8.12
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Source0:        %{name}-%{version}-0.14.gb6c138b.tar.bz2
Patch0:         configure.patch
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
libibverbs is a library that allows userspace processes to use
InfiniBand "verbs" as described in the InfiniBand Architecture
Specification.	This includes direct hardware access for fast path
operations.



Authors:
--------
    http://openib.org

%package devel
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Summary:        Development files for the libibverbs library
Requires:       %{name} = %{version}

%description devel
Static libraries and header files for the libibverbs verbs library.



Authors:
--------
    http://openib.org

%prep
%setup -q
%patch0
./autogen.sh

%build
%configure
make

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/libibverbs.d

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%_sysconfdir/libibverbs.d
%_bindir/*
%_libdir/libibverbs.so.*
%_mandir/man1/*
%_mandir/man3/*

%files devel
%defattr(-,root,root)
%_includedir/infiniband
%_libdir/libibverbs.a
%_libdir/libibverbs.la
%_libdir/libibverbs.so
%_mandir/man7/*

%changelog
* Fri Feb 11 2011 pth@suse.de
- Add ExcludeArch for s390 and s390x.
* Thu Oct 21 2010 stefan.fent@novell.com
- update to v1.1.4-0.14.gb6c138b for OFED 1.5.2
* Sun May 23 2010 jjolly@novell.com
- Same tarball, different name.  Leaving the postfix
  - 0.6.g932f1a2 on the tarball to identify it for future updates
* Sun May 23 2010 jjolly@novell.com
- Updated to v1.1.3 from OFED 1.5.1
* Sat Jul 11 2009 jjolly@suse.de
- Updated to v1.1.2 from OFED 1.4.1 release
* Wed Oct 15 2008 jjolly@suse.de
- Updated to release from OFED 1.3.1
* Thu Feb 28 2008 jjolly@suse.de
- Updated to release from OFED 1.3 GA
- Added man7 to devel files list
* Tue Jan 29 2008 jjolly@suse.de
- Updated to release from OFED 1.3 rc2
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.1.1
